> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# قائمة النسخ الاحتياطية للخدمة

> يعيد قائمة بجميع النسخ الاحتياطية للخدمة. وتظهر أحدث النسخ الاحتياطية أولًا في القائمة.



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/backups
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backups:
    get:
      tags:
        - Backup
      summary: قائمة النسخ الاحتياطية للخدمة
      description: >-
        يعيد قائمة بجميع النسخ الاحتياطية للخدمة. وتظهر أحدث النسخ الاحتياطية
        أولًا في القائمة.
      parameters:
        - description: معرّف المؤسسة المالكة للنسخة الاحتياطية.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: معرّف الخدمة التي أُنشئت منها النسخة الاحتياطية.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: معرّف فريد يُخصَّص لكل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/Backup'
                    type: array
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف تفصيلي للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمرٍ يُعتبَر خطأً
            من جهة العميل.
components:
  schemas:
    Backup:
      properties:
        backupName:
          description: اسم النسخة الاحتياطية في bucket النسخ الاحتياطي الخارجي.
          type: string
        bucket:
          description: bucket النسخ الاحتياطي الذي تُخزَّن فيه النسخة الاحتياطية.
          oneOf:
            - $ref: '#/components/schemas/AwsBackupBucketProperties'
            - $ref: '#/components/schemas/GcpBackupBucketProperties'
            - $ref: '#/components/schemas/AzureBackupBucketProperties'
        durationInSeconds:
          description: >-
            الوقت بالثواني الذي استغرقه تنفيذ النسخة الاحتياطية. إذا كانت الحالة
            لا تزال in_progress، فهذا هو الوقت بالثواني منذ بدء النسخة
            الاحتياطية حتى الآن.
          type: number
        finishedAt:
          description: >-
            الطابع الزمني لانتهاء النسخة الاحتياطية. ISO-8601. متاح فقط للنسخ
            الاحتياطية المكتملة
          format: date-time
          type: string
        id:
          description: المعرّف الفريد للنسخة الاحتياطية.
          format: uuid
          type: string
        serviceId:
          description: 'الاسم '
          type: string
        sizeInBytes:
          description: حجم النسخة الاحتياطية بالبايت.
          type: number
        startedAt:
          description: الطابع الزمني لبدء النسخة الاحتياطية. ISO-8601.
          format: date-time
          type: string
        status:
          description: 'حالة النسخة الاحتياطية: ''done'' أو ''error'' أو ''in_progress''.'
          enum:
            - done
            - error
            - in_progress
          type: string
        type:
          description: نوع النسخة الاحتياطية ("full" أو "incremental").
          enum:
            - full
            - incremental
          type: string
    AwsBackupBucketProperties:
      properties:
        bucketPath:
          description: مسار الـ Bucket
          type: string
        bucketProvider:
          description: موفّر الـ Bucket
          enum:
            - AWS
          type: string
        iamRoleArn:
          description: دور AWS IAM
          type: string
        iamRoleSessionName:
          description: دور AWS IAM
          type: string
    GcpBackupBucketProperties:
      properties:
        accessKeyId:
          description: معرّف مفتاح الوصول (مفتاح HMAC)
          type: string
        bucketPath:
          description: مسار الـ Bucket
          type: string
        bucketProvider:
          description: موفّر الـ Bucket
          enum:
            - GCP
          type: string
    AzureBackupBucketProperties:
      properties:
        bucketProvider:
          description: موفّر الـ Bucket
          enum:
            - AZURE
          type: string
        containerName:
          description: اسم الـ Container
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````